# module RSS::Maker::ImageItemModel

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/maker/image.rb, line 9
    def self.append_features(klass)
      super

      name = "#{RSS::IMAGE_PREFIX}_item"
      klass.def_classed_element(name)
    end

install_image_item(klass) click to toggle source

    # File lib/rss/maker/image.rb, line 16
          def self.install_image_item(klass)
            klass.module_eval(<<-EOC, __FILE__, __LINE__ + 1)
              class ImageItem < ImageItemBase
                DublinCoreModel.install_dublin_core(self)
              end
    EOC
          end